import { connect, Dispatch } from 'react-redux';
import {
  Discovery,
  StateProps as DiscoveryStateProps,
  DispatchProps as DiscoveryDispatchProps,
} from './components/Discovery';

import Host from '@overflow/discovery/api/model/Host';
import Probe from '@overflow/probe/api/model/Probe';

import * as InfraTargetRegistAllActionTypes from '../redux/action/infra_target_regist_all';
import * as asyncRequestActions from '@overflow/commons/redux/action/asyncRequest';

export function mapStateToProps(state: any, props: any): DiscoveryStateProps {
  return {
    probeId: props.probeId,
  };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): DiscoveryDispatchProps {
  return {
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(Discovery);
